using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class RainbowKillerScript : MonoBehaviour {

	public Animator anim;
//	private bool isAnimPlaying = false;
	private bool isPlayerOnKillZone = false;
	public bool playAnim = false;

	void Start () {
		anim = GetComponent<Animator> ();
		anim.speed = 0;
	}
	
	void Update () {
		if(isPlayerOnKillZone)
			//kill
			Debug.Log("kill");
	}

//	void OnTriggerEnter2D(Collider2D col){
//
//		if (col.CompareTag ("Player")) {
//
//
//			//animate
////			anim.speed = 1;
////			if (!isAnimPlaying) {
////				//PlayAnim
////
////			}
//		}
//	}

	void killNow(){
		if(playAnim)
			isPlayerOnKillZone = true;
	}

	void dontKill(){
		isPlayerOnKillZone = false;
	}
}
